<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('activities', function (Blueprint $table) {
            $table->string('meeting_details')->nullable();
            $table->unsignedBigInteger('participant_id')->nullable();
            $table->string('hosting')->nullable();
            $table->unsignedBigInteger('related_to_id')->nullable();
            $table->unsignedBigInteger('repeat_type_id')->nullable();
            $table->string('regarding')->nullable();
            $table->string('service')->nullable();
            $table->unsignedBigInteger('customer_id')->nullable();
            $table->string('promotion_code')->nullable();
            $table->unsignedBigInteger('related_campaign_id')->nullable();
            $table->string('response_code')->nullable();
            $table->unsignedBigInteger('channel_id')->nullable();
            $table->dateTime('received_on')->nullable();
            $table->dateTime('close_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('activities', function (Blueprint $table) {
            $table->dropColumn([
                'meeting_details',
                'participant_id',
                'hosting',
                'related_to_id',
                'repeat_type_id',
                'regarding',
                'service',
                'customer_id',
                'promotion_code',
                'related_campaign_id',
                'response_code',
                'channel_id',
                'received_on',
                'close_by',
            ]);
        });
    }
};
